<?php
if (!isset($_POST['action']))
{
	echo "<h1>Rechnung löschen</h1>\n";
	$sql = "SELECT Kontakt_ID, DATE_FORMAT(Datum, '%d.%m.%Y') AS Datum FROM " . PREFIX . "_Rechnungen WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	$sql2 = "SELECT Firma, Nachname FROM " . PREFIX . "_Kontakte WHERE ID = \"" . $nt['Kontakt_ID'] . "\";";
	$result2 = $db->query($sql2);
	$nt2 = $result2->fetch_assoc();
	echo "<h2>Soll folgende Rechnung wirklich gelöscht werden?</h2>\n";
	echo "<p><i>Bitte beachten Sie, dass beim Löschen einer Rechnung die fortlaufende Rechnungsnummerierung nicht mehr gewährleistet ist!</i></p>\n";
	echo "<label>Rechnung-Nr.</label>\n";
	echo "<label class=\"data\">" . $_POST['ID'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<label>Kunde</label>\n";
	echo "<label class=\"data\">" . $nt2['Firma'] . " - " . $nt2['Nachname'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<label>Vom</label>\n";
	echo "<label class=\"data\">" . $nt['Datum'] . "</label>\n";
	echo "<br class=\"fix\" />\n";
	echo "<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\" >\n";
	echo "	<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "	<input type=\"hidden\" name=\"formaction\" value=\"del\" />\n";
	echo "	<br />\n";
	echo "	<input type=\"submit\" class=\"button_del\" name=\"action\" value=\"1\" title=\"Rechnung jetzt l&ouml;schen\" />\n";
	echo "	<input type=\"submit\" class=\"button_stop\" name=\"formaction\" value=\"stop\" title=\"Abbrechen\" />\n";
	echo "	<br />\n";
	echo "</form>\n";
}
else
{
	$sql = 'DELETE FROM
				' . PREFIX . '_Rechnung_Pos
			WHERE
				(Jahr		= "' . $Jahr . '"
			AND
				Rechnung_ID	= "' . $ID . '");';
	$result = $db->query($sql);
	$sql = 'DELETE FROM
				' . PREFIX . '_Rechnungen
			WHERE
				(Jahr	= "' . $Jahr . '"
			AND
				ID		= "' . $ID . '");';
	$result = $db->query($sql);
	if ($result)
	{
		unset($_POST);
		include __DIR__ . "/rechnung.php";
	}
	else
	{
		echo "Fehler beim löschen";
	}
}